Bug 120404 - delete-port: x11/hs-x11-extras-ghc
delete-port: x11/hs-x11-extras-ghc
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
Depends on:
  Show dependency treegraph
Reported: 2008-02-08 07:30 UTC by jacula
Modified: 2008-03-14 22:00 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description jacula 2008-02-08 07:30:04 UTC
The port x11/hs-x11-extras-ghc became obsolete after the last bump of the
x11/hs-x11-ghc to the port version 1.4.1. Please, could you delete it.
Comment 1 Edwin Groothuis freebsd_committer 2008-02-08 07:30:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2008-02-08 09:30:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 jaj 2008-02-12 17:06:58 UTC
You are right, functionality from the X11-extras package is included in
the X11 package version 1.4.1, rendering x11/hs-x11-extras-ghc
obsolete. I approve the deletion but this will also need small changes
to the x11-wm/xmonad port which depends on it (maintainer CC-ed).

Best regards,
Comment 4 jacula 2008-02-13 11:54:15 UTC
Hi! I sent two patches for this and other problem.

Comment 5 pav freebsd_committer 2008-03-09 18:51:22 UTC
State Changed
From-To: feedback->open

No other port currently depends on this port.  This port is now broken on 
pointyhat.  Please continue with the removal. :)
Comment 6 dfilter freebsd_committer 2008-03-14 21:55:23 UTC
miwi        2008-03-14 21:55:14 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
  Removed files:
    x11/hs-x11-extras-ghc Makefile distinfo pkg-descr pkg-plist 
  - Remove x11/hs-x11-extras-ghc (is now included in x11/hs-x11-ghc)
  PR:             120404
  Submitted by:   Jacula Modyun <jacula@gmail.com>
  Approved by:    maintainer
  Revision  Changes    Path
  1.1557    +3 -1      ports/MOVED
  1.2       +0 -53     ports/x11/hs-x11-extras-ghc/Makefile (dead)
  1.2       +0 -3      ports/x11/hs-x11-extras-ghc/distinfo (dead)
  1.2       +0 -7      ports/x11/hs-x11-extras-ghc/pkg-descr (dead)
  1.2       +0 -14     ports/x11/hs-x11-extras-ghc/pkg-plist (dead)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Martin Wilke freebsd_committer 2008-03-14 21:57:24 UTC
State Changed
From-To: open->closed

Committed. Thanks!